from axelrod.action import Action
from axelrod.player import Player
from axelrod.strategy_transformers import InitialTransformer
IlIIIIlllllIIIll, IIlIllIllIIlI = Action.C, Action.D
class llIIIlIII(Player):
    lllllllIlIIlIIIIl = "strategy"
    lIlllIIllIlIIlI = {
        "memory_depth": float("Inf"),
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lllllIIIllllIlIIl(lIIIlIIIIIllIlllllI, lIIIlIIll: Player) -> Action:
        if lIIIlIIll.history[5:7] == [IIlIllIllIIlI, IIlIllIllIIlI]:
            return IIlIllIllIIlI
        return IlIIIIlllllIIIll